Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Interface IVLTS

All Superinterfaces:
  ANY, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, QTY, SXCMTS, TS1

All Known Implementing Classes:
  IVLTSImpl

    public interface IVLTS

extends SXCMTS

A representation of the model object 'IVLTS'.

The following features are supported:

- `Low`
- `Width`
- `High`
- `High1`
- `Width1`
- `High2`
- `Center`
- `Width2`

See Also:
  `CDAR2Package.getIVLTS()`

Method Summary
`TS1` | `getCenter()` Returns the value of the 'Center' containment reference.
`IVXBTS` | `getHigh()` Returns the value of the 'High' containment reference.
`IVXBTS` | `getHigh1()` Returns the value of the 'High1' containment reference.
`IVXBTS` | `getHigh2()` Returns the value of the 'High2' containment reference.
`IVXBTS` | `getLow()` Returns the value of the 'Low' containment reference.
`PQ` | `getWidth()` Returns the value of the 'Width' containment reference.
`PQ` | `getWidth1()` Returns the value of the 'Width1' containment reference.
`PQ` | `getWidth2()` Returns the value of the 'Width2' containment reference.
`void` | `setCenter(TS1 value)` Sets the value of the '`Center`' containment reference.
`void` | `setHigh(IVXBTS value)` Sets the value of the '`High`' containment reference.
`void` | `setHigh1(IVXBTS value)` Sets the value of the '`High1`' containment reference.
`void` | `setHigh2(IVXBTS value)` Sets the value of the '`High2`' containment reference.
`void` | `setLow(IVXBTS value)` Sets the value of the '`Low`' containment reference.
`void` | `setWidth(PQ value)` Sets the value of the '`Width`' containment reference.
`void` | `setWidth1(PQ value)` Sets the value of the '`Width1`' containment reference.
`void` | `setWidth2(PQ value)` Sets the value of the '`Width2`' containment reference.

Methods inherited from interface org.eclipse.ohf.ihe.common.cdar2.SXCMTS
`getOperator, isSetOperator, setOperator, unsetOperator`

Methods inherited from interface org.eclipse.ohf.ihe.common.cdar2.TS1
`getValue, setValue`

Methods inherited from interface org.eclipse.ohf.ihe.common.cdar2.ANY
`getNullFlavor, setNullFlavor`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getLow

    IVXBTS getLow()

  Returns the value of the 'Low' containment reference. The low limit of the interval.

  Returns:
    the value of the 'Low' containment reference.
  See Also:
    `setLow(IVXBTS)`, `CDAR2Package.getIVLTS_Low()`

### setLow

    void setLow(IVXBTS value)

  Sets the value of the '`Low`' containment reference.

  Parameters:
    `value` - the new value of the 'Low' containment reference.
  See Also:
    `getLow()`

### getWidth

    PQ getWidth()

  Returns the value of the 'Width' containment reference. The difference between high and low boundary. The purpose of distinguishing a width property is to handle all cases of incomplete information symmetrically. In any interval representation only two of the three properties high, low, and width need to be stated and the third can be derived.

  Returns:
    the value of the 'Width' containment reference.
  See Also:
    `setWidth(PQ)`, `CDAR2Package.getIVLTS_Width()`

### setWidth

    void setWidth(PQ value)

  Sets the value of the '`Width`' containment reference.

  Parameters:
    `value` - the new value of the 'Width' containment reference.
  See Also:
    `getWidth()`

### getHigh

    IVXBTS getHigh()

  Returns the value of the 'High' containment reference. The high limit of the interval.

  Returns:
    the value of the 'High' containment reference.
  See Also:
    `setHigh(IVXBTS)`, `CDAR2Package.getIVLTS_High()`

### setHigh

    void setHigh(IVXBTS value)

  Sets the value of the '`High`' containment reference.

  Parameters:
    `value` - the new value of the 'High' containment reference.
  See Also:
    `getHigh()`

### getHigh1

    IVXBTS getHigh1()

  Returns the value of the 'High1' containment reference.

  If the meaning of the 'High1' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'High1' containment reference.
  See Also:
    `setHigh1(IVXBTS)`, `CDAR2Package.getIVLTS_High1()`

### setHigh1

    void setHigh1(IVXBTS value)

  Sets the value of the '`High1`' containment reference.

  Parameters:
    `value` - the new value of the 'High1' containment reference.
  See Also:
    `getHigh1()`

### getWidth1

    PQ getWidth1()

  Returns the value of the 'Width1' containment reference. The difference between high and low boundary. The purpose of distinguishing a width property is to handle all cases of incomplete information symmetrically. In any interval representation only two of the three properties high, low, and width need to be stated and the third can be derived.

  Returns:
    the value of the 'Width1' containment reference.
  See Also:
    `setWidth1(PQ)`, `CDAR2Package.getIVLTS_Width1()`

### setWidth1

    void setWidth1(PQ value)

  Sets the value of the '`Width1`' containment reference.

  Parameters:
    `value` - the new value of the 'Width1' containment reference.
  See Also:
    `getWidth1()`

### getHigh2

    IVXBTS getHigh2()

  Returns the value of the 'High2' containment reference. The high limit of the interval.

  Returns:
    the value of the 'High2' containment reference.
  See Also:
    `setHigh2(IVXBTS)`, `CDAR2Package.getIVLTS_High2()`

### setHigh2

    void setHigh2(IVXBTS value)

  Sets the value of the '`High2`' containment reference.

  Parameters:
    `value` - the new value of the 'High2' containment reference.
  See Also:
    `getHigh2()`

### getCenter

    TS1 getCenter()

  Returns the value of the 'Center' containment reference. The arithmetic mean of the interval (low plus high divided by 2). The purpose of distinguishing the center as a semantic property is for conversions of intervals from and to point values.

  Returns:
    the value of the 'Center' containment reference.
  See Also:
    `setCenter(TS1)`, `CDAR2Package.getIVLTS_Center()`

### setCenter

    void setCenter(TS1 value)

  Sets the value of the '`Center`' containment reference.

  Parameters:
    `value` - the new value of the 'Center' containment reference.
  See Also:
    `getCenter()`

### getWidth2

    PQ getWidth2()

  Returns the value of the 'Width2' containment reference. The difference between high and low boundary. The purpose of distinguishing a width property is to handle all cases of incomplete information symmetrically. In any interval representation only two of the three properties high, low, and width need to be stated and the third can be derived.

  Returns:
    the value of the 'Width2' containment reference.
  See Also:
    `setWidth2(PQ)`, `CDAR2Package.getIVLTS_Width2()`

### setWidth2

    void setWidth2(PQ value)

  Sets the value of the '`Width2`' containment reference.

  Parameters:
    `value` - the new value of the 'Width2' containment reference.
  See Also:
    `getWidth2()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD